#include <string.h>
#include <iostream>
#include <stdlib.h>

#include "jabatoSchedule.h"


class ParrillaJabata {
public:
  enum Outputs {
    ScheduleHTMLTable,
    ProgramsHTMLTable,
    ProgramsHTMLLinks,
    ProgramHTMLTable,
    ProgramRawIDs
  };

  ParrillaJabata(JabatoSchedule *schedule);

  int blockId;
  int beginAt;

  const char *title;
  const char *bodyArgs;
  const char *linkscolor;
  bool  withoutBody;
  bool  forPrinter;
  bool  allInOne;
  bool  withPHPCode;
  bool  hideContinuity;
  bool  playMp3s;

  void scheduleHTMLTable(char *);
  void programsHTMLTable(char *);
  void programsHTMLLinks(char *);
  void programHTMLTable(char *);
  void programRawIDs(char *);
private:
  JabatoSchedule *sch;
};

